Package org.opensaml.xacml.ctx.impl

# Class ResultTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.ctx.impl.ResultTypeImpl

All Implemented Interfaces:
  `XMLObject`, `ResultType`, `XACMLObject`

public class ResultTypeImpl extends AbstractXACMLObject implements ResultType
Concrete implementation of `ResultType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private DecisionType`
`decision`
The decision of the result.
`private ObligationsType`
`obligations`
The obligations in this Result.
`private String`
`resourceId`
Attribute resource id.
`private StatusType`
`status`
List of the status of this result.

### Fields inherited from interface org.opensaml.xacml.ctx.ResultType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, RESOURCE_ID_ATTTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ResultTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`DecisionType`
`getDecision()`
Returns the decision in the result.
`ObligationsType`
`getObligations()`
Returns the list of Obligations in the result.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getResourceId()`
Gets the ResourceId of the result.
`StatusType`
`getStatus()`
Returns the status in the result.
`void`
`setDecision(DecisionType decisionIn)`
Sets the decision in the result.
`void`
`setObligations(ObligationsType obligationsIn)`
Sets the obligations for this result.
`void`
`setResourceId(String newResourceId)`
Sets the ResourceId.
`void`
`setStatus(StatusType statusIn)`
Sets the result status.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### resourceId

private String resourceId
Attribute resource id.

### decision

private DecisionType decision
The decision of the result.

### status

private StatusType status
List of the status of this result.

### obligations

private ObligationsType obligations
The obligations in this Result.

## Constructor Details

### ResultTypeImpl

protected ResultTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getDecision

public DecisionType getDecision()
Returns the decision in the result.

Specified by:
  `getDecision` in interface `ResultType`
Returns:
  XACMLDecision the decision in the result

### getObligations

public ObligationsType getObligations()
Returns the list of Obligations in the result.

Specified by:
  `getObligations` in interface `ResultType`
Returns:
  the list of Obligations in the result

### setObligations

public void setObligations(ObligationsType obligationsIn)
Sets the obligations for this result.

Specified by:
  `setObligations` in interface `ResultType`
Parameters:
  `obligationsIn` - obligations for this result

### getResourceId

public String getResourceId()
Gets the ResourceId of the result.

Specified by:
  `getResourceId` in interface `ResultType`
Returns:
  The ResourceId of the subject

### getStatus

public StatusType getStatus()
Returns the status in the result.

Specified by:
  `getStatus` in interface `ResultType`
Returns:
  the status in the result

### setStatus

public void setStatus(StatusType statusIn)
Sets the result status.

Specified by:
  `setStatus` in interface `ResultType`
Parameters:
  `statusIn` - result status

### setDecision

public void setDecision(DecisionType decisionIn)
Sets the decision in the result.

Specified by:
  `setDecision` in interface `ResultType`
Parameters:
  `decisionIn` - The decision in the result

### setResourceId

public void setResourceId(String newResourceId)
Sets the ResourceId.

Specified by:
  `setResourceId` in interface `ResultType`
Parameters:
  `newResourceId` - is the ResourceId

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements